aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/mkcd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/shrc.d/mkcd.sh')
-rw-r--r--sh/shrc.d/mkcd.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/sh/shrc.d/mkcd.sh b/sh/shrc.d/mkcd.sh
index c59a8c54..cd882b51 100644
--- a/sh/shrc.d/mkcd.sh
+++ b/sh/shrc.d/mkcd.sh
@@ -1,4 +1,5 @@
# Create a directory and change into it
mkcd() {
- mkdir -p -- "$1" && command cd -- "$1"
+ command -p mkdir -p -- "$1" || return
+ command cd -- "$1"
}